Subject: Re: bug#24421: 25.1.50; mouse-yank-primary should be bound to down-mouse-2

From: Stefan Kangas <[email-masked]>
Date: Thu, 21 Nov 2019 12:42:01 +0100

Philipp Stephani <[email-masked]> writes:

> Am Mi., 9. Okt. 2019 um 17:49 Uhr schrieb Stefan Kangas <[email-masked]>:
>>
>> Philipp Stephani <[email-masked]> writes:
>>
>> > At least in all the Gnome apps I've tried, the primary X selection is
>> > already inserted on the middle mouse button down event, not the up
>> > event.  Therefore I'd suggest to change the binding of
>> > mouse-yank-primary from mouse-2 to down-mouse-2.  This might even
>> > partially solve the Gnome-Terminal issue described in
>> > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=24420.
>>
>> I'm not seeing this in Firefox or calibre; the selection is inserted on
>> the mouse button up event.  xterm does the same.
>>
>> What applications did you test?
>
> I'll re-check once I have access to a machine with Gnome (in two weeks or so).

That was five weeks ago, so here's a friendly reminder to look into
this when you find the time.  Thanks in advance.

Best regards,
Stefan Kangas